MKMONETARY(1)

NAME
mkmonetary - create monetary information file

SYNOPSIS
mkmonetary [ -o output_file_name ] [ filename ]

DESCRIPTION
mkmonetary is used to create binary file, describing monetary information for setlocale(3). filename is the name of input file. If none given, stdin used.

OPTIONS

-o output_file_name
    Write the output on output_file_name; otherwise, write the output on a file named LC_MONETARY.

INPUT FILE FORMAT
Empty lines and lines beginning with # are ignored. The backslash character, \, is used for continuation. No characters are permitted after it. The following statements are recognized:

codeset codename

    Codename is the name of codeset. This statement is required.

The rest of statements is just the field names of structure monetary_info.

EXAMPLE
codeset dummy
int_curr_symbol		"rbl."
currency_symbol		"\xd2\xd5\xc2"
mon_decimal_point	""
mon_thousands_sep	""
mon_grouping		""
positive_sign		""
negative_sign		""
int_frac_digits		2
frac_digits		2
p_cs_precedes		0
p_sep_by_space		0
n_cs_precedes		0
n_sep_by_space		0
p_sign_posn		0
n_sign_posn		0

BUGS
None are know at the moment. If you find any, feel free to fix.

AUTHOR
Nickolay Saukh - <nms@ussr.EU.net>

ACKNOWLEDGEMENTS
Input language of mkmonetary is based on manual pages of SVR4.0.

FILES
/usr/lib/locale/locale/LC_MONETARY - LC_MONETARY database for locale

SEE ALSO
setlocale(3), localeconv(3), mkcollate(1), mkctype(1), mknumeric(1), mkresponse(1), mktime(1)